Subject: Re: [PATCH v8 11/27] cxl: add function for setting media ready by a driver

From: Jonathan Cameron <[email-masked]>
Date: Thu, 2 Jan 2025 12:45:54 +0000

On Fri, 27 Dec 2024 08:08:45 +0000
Alejandro Lucero Palau <[email-masked]> wrote:

> On 12/24/24 17:29, Jonathan Cameron wrote:
> > On Mon, 16 Dec 2024 16:10:26 +0000
> > [email-masked] wrote:
> >  
> >> From: Alejandro Lucero <[email-masked]>
> >>
> >> A Type-2 driver may be required to set the memory availability explicitly,
> >> for example because there is not a mailbox for doing so through a specific
> >> command.
> >>
> >> Add a function to the exported CXL API for accelerator drivers having this
> >> possibility.
> >>
> >> Signed-off-by: Alejandro Lucero <[email-masked]>
> >> Reviewed-by: Dave Jiang <[email-masked]>
> >> Reviewed-by: Ben Cheatham <[email-masked]>  
> > I wonder if it is worth capturing the reasoning for this a comment?  
> 
> 
> Sorry, I can not understand this.

Err. I've no idea what I was going on about. :(

Ignore that.

> 
> 
> > Either way
> >
> > Reviewed-by: Jonathan Cameron <[email-masked]>
> >  
> >> ---
> >>   drivers/cxl/core/memdev.c | 6 ++++++
> >>   include/cxl/cxl.h         | 1 +
> >>   2 files changed, 7 insertions(+)
> >>
> >> diff --git a/drivers/cxl/core/memdev.c b/drivers/cxl/core/memdev.c
> >> index c414b0fbbead..82c354b1375e 100644
> >> --- a/drivers/cxl/core/memdev.c
> >> +++ b/drivers/cxl/core/memdev.c
> >> @@ -789,6 +789,12 @@ int cxl_release_resource(struct cxl_dev_state *cxlds, enum cxl_resource type)
> >>   }
> >>   EXPORT_SYMBOL_NS_GPL(cxl_release_resource, "CXL");
> >>   
> >> +void cxl_set_media_ready(struct cxl_dev_state *cxlds)
> >> +{
> >> +	cxlds->media_ready = true;
> >> +}
> >> +EXPORT_SYMBOL_NS_GPL(cxl_set_media_ready, "CXL");
> >> +
> >>   static int cxl_memdev_release_file(struct inode *inode, struct file *file)
> >>   {
> >>   	struct cxl_memdev *cxlmd =
> >> diff --git a/include/cxl/cxl.h b/include/cxl/cxl.h
> >> index 44664c9928a4..473128fdfb22 100644
> >> --- a/include/cxl/cxl.h
> >> +++ b/include/cxl/cxl.h
> >> @@ -44,4 +44,5 @@ bool cxl_pci_check_caps(struct cxl_dev_state *cxlds,
> >>   int cxl_pci_accel_setup_regs(struct pci_dev *pdev, struct cxl_dev_state *cxlds);
> >>   int cxl_request_resource(struct cxl_dev_state *cxlds, enum cxl_resource type);
> >>   int cxl_release_resource(struct cxl_dev_state *cxlds, enum cxl_resource type);
> >> +void cxl_set_media_ready(struct cxl_dev_state *cxlds);
> >>   #endif